@import "./../../../assets/styles/variables";
$primary-color: #D8DDE1;
;
.searchBoxWrapper {
  display: flex;
  flex-direction: row;
  align-items: center;
  width: 400px;
  position: relative;

  &--search-icon {
    display: block;
    color: $primary-color;
    position: absolute;
    right: 20px;
    top: 10px;
  }
  &--input {
    height: 36px;
    border-radius: 4px;
    width: 100%;
    background-color: #717B8E;
    padding: 0px 10px;

    &[type=text] {
      color: white;
      font-weight: 500;
    }
    &:focus {
      outline: none;
      border: 1px solid #5D93CA;
      box-shadow: 0 0 2px 1px #D3EBF9;
    }
    &::-webkit-input-placeholder {
      opacity: 0.9;
      color: #D8DDE1;
      font-size: $default-font-size;
      font-weight: 500;
      line-height: 19px;
    }
  }
  .dropdown-hide {
    display: none;
  }
  .dropdown {
    display: block;
    width: 100%;
    position: absolute;
    top: 35px;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1000;
    margin-top: 1px;

    &--item {
      padding-left: 15px;
      border: 1px solid #DADFEA;
      height: 36px;
      color: rgb(88, 99, 113);
      display: flex;
      align-items: center;

      .selected-text {
        font-weight: 800;
        color: rgb(88, 99, 113);
      }
      &:hover {
        background-color: rgba(130, 119, 23, 0.07);
      }

    }
  }

}
